Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.chapterIV.builders
Interface CommonBuilder

All Known Implementing Classes:
  CommonBuilderImpl

    public interface CommonBuilder

common builder for chapter IV request object. Default implem : `CommonBuilderImpl` Factory : `BuilderFactory`

Method Summary
`ChapterIVBuilderResponse` | `createAgreementRequest(FolderType folder, boolean isTest, ChapterIVReferences references, XmlObjectFactory xmlObjectFactory, org.joda.time.DateTime agreementStartDate)` creates agreement request with the given input.

Method Detail

### createAgreementRequest

    ChapterIVBuilderResponse createAgreementRequest(FolderType folder,
                                                    boolean isTest,
                                                    ChapterIVReferences references,
                                                    XmlObjectFactory xmlObjectFactory,
                                                    org.joda.time.DateTime agreementStartDate)
                                                    throws TechnicalConnectorException,
                                                           ChapterIVBusinessConnectorException

  creates agreement request with the given input.

  Parameters:
    `folder` -
    `isTest` -
    `commonReference` -
    `commonNIPReference` -
    `xmlObjectFactory` - factory for xml objects ,different objects are created depending on the type of conversation
    `agreementStartDate` -
  Returns:
  Throws:
    `TechnicalConnectorException`
    `ChapterIVBusinessConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.18.0 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.